summaryrefslogtreecommitdiffstats
path: root/bin/misc-functions.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-04-13 21:21:53 +0000
committerZac Medico <zmedico@gentoo.org>2009-04-13 21:21:53 +0000
commitf0cf5a75c49cc238be932e28e25a203ebbb42ce2 (patch)
treebee6605aeb2356e1a2135ed5914cd5cf128d4f37 /bin/misc-functions.sh
parentdbf94573a662bebf68d0782a7ee01557820f54ec (diff)
downloadportage-f0cf5a75c49cc238be932e28e25a203ebbb42ce2.tar.gz
portage-f0cf5a75c49cc238be932e28e25a203ebbb42ce2.tar.bz2
portage-f0cf5a75c49cc238be932e28e25a203ebbb42ce2.zip
Make portage.bsd_chflags correspond to FEATURES=chflags so that it can be
used for related conditionals in shell code. svn path=/main/trunk/; revision=13342
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 9ffbe0ecc..5e7d29b79 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -492,8 +492,7 @@ install_mask() {
}
preinst_bsdflags() {
- type -P chflags > /dev/null || return 0
- type -P mtree > /dev/null || return 1
+ hasq chflags $FEATURES || return
# Save all the file flags for restoration after installation.
mtree -c -p "${D}" -k flags > "${T}/bsdflags.mtree"
# Remove all the file flags so that the merge phase can do anything
@@ -503,8 +502,7 @@ preinst_bsdflags() {
}
postinst_bsdflags() {
- type -P chflags > /dev/null || return 0
- type -P mtree > /dev/null || return 1
+ hasq chflags $FEATURES || return
# Restore all the file flags that were saved before installation.
mtree -e -p "${ROOT}" -U -k flags < "${T}/bsdflags.mtree" &> /dev/null
}